Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598992 - firefox appears on "correct" monitor/head then moves to "wrong" head (dual-head conf.)
firefox appears on "correct" monitor/head then moves to "wrong" head (dual-he...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 09:54 EDT by David Mansfield
Modified: 2011-06-27 13:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mansfield 2010-06-02 09:54:43 EDT
Description of problem:
In Fedora 12, when opening firefox, it would correctly map to the head where it "should" go. I don't have F12 anymore, so I can't elaborate, but certainly that means at least: when restarting (due to adding add-on) it should re-map to the same head.

In F13, it briefly appears in the "right" head (secondary, in my case), then moves itself (or is moved by metacity, perhaps), to the primary head and needs to be dragged back over.

I'm not sure if this applies to other applications, but a brief check of openoffice, gcalctool and others seems to indicate it's firefox only.

Version-Release number of selected component (if applicable):
firefox-3.6.3-4.fc13.x86_64
metacity-2.30.0-2.fc13.x86_64
xorg-x11-server 1.8.0-12.fc13 
ATI Technologies Inc RV620 LE [Radeon HD 3450]

How reproducible:
always

Steps to Reproduce:
1. move firefox to secondary head
2. maximize (not sure if necessary)
3. install add-on and click "restart" (or just close and re-launch)
  
Actual results:
appears on correct head for a fraction of a second and moves to wrong head

Expected results:
stays put

Additional info:
none
Comment 1 Bug Zapper 2011-06-02 08:21:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 David Mansfield 2011-06-02 10:04:55 EDT
this still happens in fedora 14 at least.  haven't tested fedora 15 yet.
Comment 3 Bug Zapper 2011-06-27 13:20:39 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.